class ComponentFactory.Krypton.Toolkit.ButtonSpec
   inherits System.ComponentModel.Component
   implements System.ComponentModel.IComponent, System.IDisposable, ComponentFactory.Krypton.Toolkit.IButtonSpecValues, System.ICloneable
   abstract:

   def public property IsDefault as logical
      get.

   def public property Image as System.Drawing.Image
      get.
      set.

   def public property ImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property ImageStates as ComponentFactory.Krypton.Toolkit.ButtonImageStates
      get.

   def public property Text as character
      get.
      set.

   def public property ExtraText as character
      get.
      set.

   def public property ToolTipImage as System.Drawing.Image
      get.
      set.

   def public property ToolTipImageTransparentColor as System.Drawing.Color
      get.
      set.

   def public property ToolTipTitle as character
      get.
      set.

   def public property ToolTipBody as character
      get.
      set.

   def public property ToolTipStyle as ComponentFactory.Krypton.Toolkit.LabelStyle
      get.
      set.

   def public property UniqueName as character
      get.
      set.

   def public property AllowInheritImage as logical
      get.
      set.

   def public property AllowInheritText as logical
      get.
      set.

   def public property AllowInheritExtraText as logical
      get.
      set.

   def public property AllowInheritToolTipTitle as logical
      get.
      set.

   def public property AllowComponent as logical
      get.

   def public property ColorMap as System.Drawing.Color
      get.
      set.

   def public property Style as ComponentFactory.Krypton.Toolkit.PaletteButtonStyle
      get.
      set.

   def public property Orientation as ComponentFactory.Krypton.Toolkit.PaletteButtonOrientation
      get.
      set.

   def public property Edge as ComponentFactory.Krypton.Toolkit.PaletteRelativeEdgeAlign
      get.
      set.

   def public property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   def public property KryptonContextMenu as ComponentFactory.Krypton.Toolkit.KryptonContextMenu
      get.
      set.

   def public property KryptonCommand as ComponentFactory.Krypton.Toolkit.KryptonCommand
      get.
      set.

   def public property Owner as System.Object
      get.
      set.

   def public property Tag as System.Object
      get.
      set.

   def protected property ProtectedType as ComponentFactory.Krypton.Toolkit.PaletteButtonSpecStyle
      get.
      set.

   def public event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ButtonSpecPropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public ButtonSpec():
   end constructor.

   method public override character ToString():
   end method.

   method public override System.Object Clone():
   end method.

   method public final void ResetImage():
   end method.

   method public final void ResetImageTransparentColor():
   end method.

   method public final void ResetText():
   end method.

   method public final void ResetExtraText():
   end method.

   method public final void ResetToolTipImage():
   end method.

   method public final void ResetToolTipImageTransparentColor():
   end method.

   method public final void ResetToolTipTitle():
   end method.

   method public final void ResetToolTipBody():
   end method.

   method public final void ResetToolTipStyle():
   end method.

   method public final void ResetUniqueName():
   end method.

   method public final void ResetAllowInheritImage():
   end method.

   method public final void ResetAllowInheritText():
   end method.

   method public final void ResetAllowInheritExtraText():
   end method.

   method public final void ResetAllowInheritToolTipTitle():
   end method.

   method public final void ResetColorMap():
   end method.

   method public final void ResetStyle():
   end method.

   method public final void ResetOrientation():
   end method.

   method public void CopyFrom(input source as ComponentFactory.Krypton.Toolkit.ButtonSpec):
   end method.

   method public final void PerformClick():
   end method.

   method public final void PerformClick(input e as System.EventArgs):
   end method.

   method public System.Drawing.Image GetImage(input palette as ComponentFactory.Krypton.Toolkit.IPalette, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public System.Drawing.Color GetImageTransparentColor(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public character GetShortText(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public character GetLongText(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public character GetToolTipTitle(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public System.Drawing.Color GetColorMap(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public ComponentFactory.Krypton.Toolkit.ButtonStyle GetStyle(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public ComponentFactory.Krypton.Toolkit.ButtonOrientation GetOrientation(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public ComponentFactory.Krypton.Toolkit.RelativeEdgeAlign GetEdge(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public ComponentFactory.Krypton.Toolkit.HeaderLocation GetLocation(input palette as ComponentFactory.Krypton.Toolkit.IPalette):
   end method.

   method public abstract ComponentFactory.Krypton.Toolkit.ButtonEnabled GetEnabled(input palette as ComponentFactory.Krypton.Toolkit.IPalette).

   method public void SetView(input view as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public ComponentFactory.Krypton.Toolkit.ViewBase GetView():
   end method.

   method public final logical GetViewEnabled():
   end method.

   method public abstract logical GetVisible(input palette as ComponentFactory.Krypton.Toolkit.IPalette).

   method public abstract ComponentFactory.Krypton.Toolkit.ButtonCheckState GetChecked(input palette as ComponentFactory.Krypton.Toolkit.IPalette).

   method protected final void GenerateClick(input e as System.EventArgs):
   end method.

   method protected void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnButtonSpecPropertyChanged(input propertyName as character):
   end method.

   method protected void OnCommandPropertyChanged(input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected final ComponentFactory.Krypton.Toolkit.RelativeEdgeAlign ConvertToRelativeEdgeAlign(input paletteRelativeEdgeAlign as ComponentFactory.Krypton.Toolkit.PaletteRelativeEdgeAlign):
   end method.

   method protected final ComponentFactory.Krypton.Toolkit.ButtonOrientation ConvertToButtonOrientation(input paletteButtonOrientation as ComponentFactory.Krypton.Toolkit.PaletteButtonOrientation):
   end method.

   method protected final ComponentFactory.Krypton.Toolkit.ButtonStyle ConvertToButtonStyle(input paletteButtonStyle as ComponentFactory.Krypton.Toolkit.PaletteButtonStyle):
   end method.

end class.
