interface ComponentFactory.Krypton.Toolkit.IRenderGlyph:

   method public void DrawSeparator(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input paletteBack as ComponentFactory.Krypton.Toolkit.IPaletteBack, input paletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder, input orientation as System.Windows.Forms.Orientation, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input canMove as logical).

   method public System.Drawing.Size GetCheckBoxPreferredSize(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input enabled as logical, input checkState as System.Windows.Forms.CheckState, input tracking as logical, input pressed as logical).

   method public void DrawCheckBox(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input enabled as logical, input checkState as System.Windows.Forms.CheckState, input tracking as logical, input pressed as logical).

   method public System.Drawing.Size GetRadioButtonPreferredSize(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input enabled as logical, input checkState as logical, input tracking as logical, input pressed as logical).

   method public void DrawRadioButton(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input enabled as logical, input checkState as logical, input tracking as logical, input pressed as logical).

   method public System.Drawing.Size GetDropDownButtonPreferredSize(input context as ComponentFactory.Krypton.Toolkit.ViewLayoutContext, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input orientation as ComponentFactory.Krypton.Toolkit.VisualOrientation).

   method public void DrawDropDownButton(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input palette as ComponentFactory.Krypton.Toolkit.IPalette, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input orientation as ComponentFactory.Krypton.Toolkit.VisualOrientation).

   method public void DrawInputControlDropDownGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input cellRect as System.Drawing.Rectangle, input paletteContent as ComponentFactory.Krypton.Toolkit.IPaletteContent, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public void DrawInputControlNumericUpGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input cellRect as System.Drawing.Rectangle, input paletteContent as ComponentFactory.Krypton.Toolkit.IPaletteContent, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public void DrawInputControlNumericDownGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input cellRect as System.Drawing.Rectangle, input paletteContent as ComponentFactory.Krypton.Toolkit.IPaletteContent, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public void DrawRibbonDialogBoxLauncher(input shape as ComponentFactory.Krypton.Toolkit.PaletteRibbonShape, input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input paletteGeneral as ComponentFactory.Krypton.Toolkit.IPaletteRibbonGeneral, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public void DrawRibbonDropArrow(input shape as ComponentFactory.Krypton.Toolkit.PaletteRibbonShape, input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input paletteGeneral as ComponentFactory.Krypton.Toolkit.IPaletteRibbonGeneral, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public void DrawRibbonContextArrow(input shape as ComponentFactory.Krypton.Toolkit.PaletteRibbonShape, input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input paletteGeneral as ComponentFactory.Krypton.Toolkit.IPaletteRibbonGeneral, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public void DrawRibbonOverflow(input shape as ComponentFactory.Krypton.Toolkit.PaletteRibbonShape, input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input paletteGeneral as ComponentFactory.Krypton.Toolkit.IPaletteRibbonGeneral, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public void DrawRibbonGroupSeparator(input shape as ComponentFactory.Krypton.Toolkit.PaletteRibbonShape, input context as ComponentFactory.Krypton.Toolkit.RenderContext, input displayRect as System.Drawing.Rectangle, input paletteGeneral as ComponentFactory.Krypton.Toolkit.IPaletteRibbonGeneral, input state as ComponentFactory.Krypton.Toolkit.PaletteState).

   method public System.Drawing.Rectangle DrawGridSortGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input sortOrder as System.Windows.Forms.SortOrder, input cellRect as System.Drawing.Rectangle, input paletteContent as ComponentFactory.Krypton.Toolkit.IPaletteContent, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input rtl as logical).

   method public System.Drawing.Rectangle DrawGridRowGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input rowGlyph as ComponentFactory.Krypton.Toolkit.GridRowGlyph, input cellRect as System.Drawing.Rectangle, input paletteContent as ComponentFactory.Krypton.Toolkit.IPaletteContent, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input rtl as logical).

   method public System.Drawing.Rectangle DrawGridErrorGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input cellRect as System.Drawing.Rectangle, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input rtl as logical).

   method public void DrawDragDropSolidGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input drawRect as System.Drawing.Rectangle, input dragDropPalette as ComponentFactory.Krypton.Toolkit.IPaletteDragDrop).

   method public void MeasureDragDropDockingGlyph(input dragData as ComponentFactory.Krypton.Toolkit.RenderDragDockingData, input dragDropPalette as ComponentFactory.Krypton.Toolkit.IPaletteDragDrop, input feedback as ComponentFactory.Krypton.Toolkit.PaletteDragFeedback).

   method public void DrawDragDropDockingGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input dragData as ComponentFactory.Krypton.Toolkit.RenderDragDockingData, input dragDropPalette as ComponentFactory.Krypton.Toolkit.IPaletteDragDrop, input feedback as ComponentFactory.Krypton.Toolkit.PaletteDragFeedback).

   method public void DrawTrackTicksGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input elementPalette as ComponentFactory.Krypton.Toolkit.IPaletteElementColor, input drawRect as System.Drawing.Rectangle, input orientation as System.Windows.Forms.Orientation, input topRight as logical, input positionSize as System.Drawing.Size, input minimum as integer, input maximum as integer, input frequency as integer).

   method public void DrawTrackGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input elementPalette as ComponentFactory.Krypton.Toolkit.IPaletteElementColor, input drawRect as System.Drawing.Rectangle, input orientation as System.Windows.Forms.Orientation, input volumeControl as logical).

   method public void DrawTrackPositionGlyph(input context as ComponentFactory.Krypton.Toolkit.RenderContext, input state as ComponentFactory.Krypton.Toolkit.PaletteState, input elementPalette as ComponentFactory.Krypton.Toolkit.IPaletteElementColor, input drawRect as System.Drawing.Rectangle, input orientation as System.Windows.Forms.Orientation, input tickStyle as System.Windows.Forms.TickStyle).

end interface.
