class ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemState
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property ItemHighlight as ComponentFactory.Krypton.Toolkit.PaletteDoubleMetric
      get.

   def public property ItemImage as ComponentFactory.Krypton.Toolkit.PaletteTripleJustImage
      get.

   def public property ItemShortcutText as ComponentFactory.Krypton.Toolkit.PaletteContentJustShortText
      get.

   def public property ItemSplit as ComponentFactory.Krypton.Toolkit.PaletteDouble
      get.

   def public property ItemTextAlternate as ComponentFactory.Krypton.Toolkit.PaletteContentJustText
      get.

   def public property ItemTextStandard as ComponentFactory.Krypton.Toolkit.PaletteContentJustText
      get.

   constructor public PaletteContextMenuItemState(input redirect as ComponentFactory.Krypton.Toolkit.PaletteContextMenuRedirect):
   end constructor.

   constructor public PaletteContextMenuItemState(input redirect as ComponentFactory.Krypton.Toolkit.PaletteContextMenuItemStateRedirect):
   end constructor.

   constructor public PaletteContextMenuItemState(input redirectItemHighlight as ComponentFactory.Krypton.Toolkit.PaletteDoubleMetricRedirect, input redirectItemImage as ComponentFactory.Krypton.Toolkit.PaletteTripleJustImageRedirect, input redirectItemShortcutText as ComponentFactory.Krypton.Toolkit.PaletteContentInheritRedirect, input redirectItemSplit as ComponentFactory.Krypton.Toolkit.PaletteDoubleRedirect, input redirectItemTextStandard as ComponentFactory.Krypton.Toolkit.PaletteContentInheritRedirect, input redirectItemTextAlternate as ComponentFactory.Krypton.Toolkit.PaletteContentInheritRedirect):
   end constructor.

   method public final void PopulateFromBase(input common as ComponentFactory.Krypton.Toolkit.KryptonPaletteCommon, input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

end class.
