interface DataPAEnterpriseDashboard.DashboardQuery._DashboardQuery:

   def public property ClearDataOnNextRefresh as logical
      get.
      set.

   def public property DataManageType as DataPAEnterpriseDashboard.DashboardQuery.DataManageTypeEnum
      get.
      set.

   def public property SupportsCollate as logical
      get.

   def public property RefreshesAcrossMultipleConnections as logical
      get.

   def public property OrphanedRequiredFields as Microsoft.VisualBasic.Collection
      get.

   def public property ErrorsOnLastRefresh as logical
      get.

   def public property Parent as DataPAEnterpriseDashboard.DashboardQueries
      get.
      set.

   def public property ConnectionDetails as DataPAEnterpriseDashboard.QueryConnectionDetails
      get.
      set.

   def public property QueuedForRefresh as logical
      get.

   def public property QueryErrorMessage as character
      get.
      set.

   def public property Username as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property autoRefresh as logical
      get.
      set.

   def public property ComRefreshInterval as character
      get.
      set.

   def public property refreshInterval as System.TimeSpan
      get.
      set.

   def public property RefreshOnOpen as logical
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property Query as RunDataPA.Query
      get.
      set.

   def public property ResultsSet as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property Refreshing as logical
      get.

   def public property HasDependantObjects as logical
      get.

   def public property LastRefreshStarted as datetime
      get.

   def public property LastRefreshCompleted as datetime
      get.

   def public property HasOrphanedRequiredFields as logical
      get.

   def public property SubjectID as character
      get.

   def public property SystemName as character
      get.

   def public property SQLQueryString as character
      get.

   def public property CalculatedColumns as DataPAEnterpriseDashboard.CalculatedColumns
      get.
      set.

   def public property ValidSubject as logical
      get.

   def public property NextAutoRefresh as datetime
      get.
      set.

   def public property QueryString as character
      get.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo).

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext).

   method public logical UpdateQuery(input QueryString as character, input ErrString as character).

   method public logical RefreshData().

   method public logical RefreshData(input Asynchronous as logical).

   method public void CancelRefresh().

   method public void ReApplyCalculatedColumns().

   method public DataPAEnterpriseDashboard.DashboardObject ResolveRequiredFieldRequirements().

   method public logical RequiredFieldsSuppliedByThirdParty().

   method public void ClearRequiredFieldsSuppliedByThirdParty().

   method public void SetNextAutoRefresh().

   method public void SetNextAutoRefresh(input NextRefresh as datetime).

end interface.
