class Infragistics.UltraChart.Core.Layers.LegendLayer
   inherits Infragistics.UltraChart.Core.Layers.ChartLayer
   implements Infragistics.UltraChart.Core.Layers.ILayer:

   def protected variable chart as Infragistics.UltraChart.Core.Layers.ChartLayer.

   def protected variable boundsBuffer as integer.

   def protected variable iconBuffer as integer.

   constructor public LegendLayer(input component as Infragistics.UltraChart.Resources.IChartComponent, input core as Infragistics.UltraChart.Core.ChartCore):
   end constructor.

   method protected void RedirectToCompositeLegend(input legendApp as Infragistics.UltraChart.Resources.Appearance.LegendAppearance, input seriesCol as Infragistics.UltraChart.Data.Series.SeriesCollection, input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method public override Infragistics.UltraChart.Resources.Appearance.ChartAppearance GetAppearance():
   end method.

   method public final void SetChart(input chart as Infragistics.UltraChart.Core.Layers.ChartLayer):
   end method.

   method public override void SetData(input data as Infragistics.UltraChart.Data.IChartData):
   end method.

   method public override void SetBounds(input bounds as System.Drawing.Rectangle):
   end method.

   method public override logical IsVisible():
   end method.

   method public final static void CalculateBounds(input innerBounds as System.Drawing.Rectangle, input outerBounds as System.Drawing.Rectangle, input legendLocation as Infragistics.UltraChart.Shared.Styles.LegendLocation, input legendSpanPercentage as integer):
   end method.

   method protected override void CalculateInnerBounds():
   end method.

   method protected final void FillSceneGraphLinearGradient(input scene as Infragistics.UltraChart.Core.SceneGraph, input isHeatMap as logical):
   end method.

   method public override void FillSceneGraph(input scene as Infragistics.UltraChart.Core.SceneGraph):
   end method.

   method protected final System.Drawing.Rectangle GetOuterDrawRect():
   end method.

   method protected final System.Drawing.Rectangle GetInnerDrawRect():
   end method.

   method protected void AddEmptyIndicator(input scene as Infragistics.UltraChart.Core.SceneGraph, input emptyApp as Infragistics.UltraChart.Resources.Appearance.EmptyAppearance, input drawRect as System.Drawing.Rectangle, input rowOffsetX as integer, input legendBoxWidth as integer, input legendBoxHeight as integer, input textHeight as integer, input columnWidth as integer, input rowNumber as integer):
   end method.

   method public final static Infragistics.UltraChart.Core.Primitives.Ellipse NestEllipse(input parent as Infragistics.UltraChart.Core.Primitives.Ellipse, input radiusFactor as decimal):
   end method.

end class.
