class Infragistics.UltraChart.Resources.Appearance.AxisAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public variable axisNumber as Infragistics.UltraChart.Shared.Styles.AxisNumber.

   def public property RangeType as Infragistics.UltraChart.Shared.Styles.AxisRangeType
      get.
      set.

   def public property RangeMin as decimal
      get.
      set.

   def public property RangeMax as decimal
      get.
      set.

   def public property NumericAxisType as Infragistics.UltraChart.Shared.Styles.NumericAxisType
      get.
      set.

   def public property LogBase as decimal
      get.
      set.

   def public property LogZero as decimal
      get.
      set.

   def public property Margin as Infragistics.UltraChart.Resources.Appearance.AxisMarginAppearance
      get.
      set.

   def public property ScrollScale as Infragistics.UltraChart.Resources.Appearance.ScrollScaleAppearance
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property LineThickness as integer
      get.
      set.

   def public property LineEndCapStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property LineDrawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property MajorGridLines as Infragistics.UltraChart.Resources.Appearance.GridlinesAppearance
      get.
      set.

   def public property StripLines as Infragistics.UltraChart.Resources.Appearance.StripLineAppearance
      get.
      set.

   def public property MinorGridLines as Infragistics.UltraChart.Resources.Appearance.GridlinesAppearance
      get.
      set.

   def public property TickmarkStyle as Infragistics.UltraChart.Shared.Styles.AxisTickStyle
      get.
      set.

   def public property TickmarkPercentage as decimal
      get.
      set.

   def public property TickmarkInterval as decimal
      get.
      set.

   def public property Extent as integer
      get.
      set.

   def public property LineColor as System.Drawing.Color
      get.
      set.

   def public property Labels as Infragistics.UltraChart.Resources.Appearance.AxisLabelAppearance
      get.
      set.

   def public property TimeAxisStyle as Infragistics.UltraChart.Resources.Appearance.TimeAxisAppearance
      get.
      set.

   def public property TickmarkIntervalType as Infragistics.UltraChart.Shared.Styles.AxisIntervalType
      get.
      set.

   constructor public AxisAppearance():
   end constructor.

   constructor public AxisAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent, input axisNumber as Infragistics.UltraChart.Shared.Styles.AxisNumber):
   end constructor.

   method protected System.ComponentModel.Design.Serialization.InstanceDescriptor CreateInstanceDescriptor():
   end method.

   method protected final logical ShouldSerializeRangeType():
   end method.

   method public final void ResetRangeType():
   end method.

   method protected final logical ShouldSerializeRangeMin():
   end method.

   method public final void ResetRangeMin():
   end method.

   method protected final logical ShouldSerializeRangeMax():
   end method.

   method public final void ResetRangeMax():
   end method.

   method protected final logical ShouldSerializeNumericAxisType():
   end method.

   method public final void ResetNumericAxisType():
   end method.

   method protected final logical ShouldSerializeLogBase():
   end method.

   method public final void ResetLogBase():
   end method.

   method protected logical ShouldSerializeLogZero():
   end method.

   method public void ResetLogZero():
   end method.

   method protected logical ShouldSerializeMargin():
   end method.

   method public void ResetMargin():
   end method.

   method protected logical ShouldSerializeScrollScale():
   end method.

   method public void ResetScrollScale():
   end method.

   method public final void SetAxisNumber(input number as Infragistics.UltraChart.Shared.Styles.AxisNumber):
   end method.

   method protected logical ShouldSerializeVisible():
   end method.

   method public void ResetVisible():
   end method.

   method protected final logical ShouldSerializeLineThickness():
   end method.

   method public final void ResetLineThickness():
   end method.

   method protected final logical ShouldSerializeLineEndCapStyle():
   end method.

   method public final void ResetLineEndCapStyle():
   end method.

   method protected final logical ShouldSerializeLineDrawStyle():
   end method.

   method public final void ResetLineDrawStyle():
   end method.

   method protected final logical ShouldSerializeMajorGridLines():
   end method.

   method public final void ResetMajorGridLines():
   end method.

   method protected final logical ShouldSerializeStripLines():
   end method.

   method public final void ResetStripLines():
   end method.

   method protected final logical ShouldSerializeMinorGridLines():
   end method.

   method public final void ResetMinorGridLines():
   end method.

   method protected final logical ShouldSerializeTickmarkStyle():
   end method.

   method public final void ResetTickmarkStyle():
   end method.

   method protected final logical ShouldSerializeTickmarkPercentage():
   end method.

   method public final void ResetTickmarkPercentage():
   end method.

   method protected final logical ShouldSerializeTickmarkInterval():
   end method.

   method public final void ResetTickmarkInterval():
   end method.

   method protected final logical ShouldSerializeExtent():
   end method.

   method public final void ResetExtent():
   end method.

   method protected final logical ShouldSerializeLineColor():
   end method.

   method public final void ResetLineColor():
   end method.

   method protected final logical ShouldSerializeLabels():
   end method.

   method public final void ResetLabels():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeTimeAxisStyle():
   end method.

   method public final void ResetTimeAxisStyle():
   end method.

   method public override void SetComponent(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end method.

   method protected final logical ShouldSerializeTickmarkIntervalType():
   end method.

   method public final void ResetTickmarkIntervalType():
   end method.

   method public void Reset():
   end method.

end class.
