interface Progress.Common.EhnLog.IAppLogger
   inherits Progress.Common.EhnLog.IEhnLog:

   def public property LogContext as Progress.Common.EhnLog.LogContext
      get.

   def public property LoggingLevel as integer
      get.
      set.

   def public property ComponentId as character
      get.
      set.

   def public property LogEntries as int64
      get.

   method public int64 setLogEntries(input logEntryTypes as character).

   method public void logExtended(input entrytypeId as integer, input msg as character).

   method public void logExtended(input entrytypeId as integer, input msgId as int64, input msgTokens as System.Object extent).

   method public void logExtended(input entrytypeId as integer, input msgFormat as character, input msgTokens as System.Object extent).

   method public void logAssert(input bCondition as logical, input entrytypeId as integer, input msg as character).

   method public void logVerbose(input entrytypeId as integer, input msg as character).

   method public void logVerbose(input entrytypeId as integer, input msgId as int64, input msgTokens as System.Object extent).

   method public void logVerbose(input entrytypeId as integer, input msgFormat as character, input msgTokens as System.Object extent).

   method public void logBasic(input entrytypeId as integer, input msg as character).

   method public void logBasic(input entrytypeId as integer, input msgId as int64, input msgTokens as System.Object extent).

   method public void logBasic(input entrytypeId as integer, input msgFormat as character, input msgTokens as System.Object extent).

   method public void logError(input entrytypeId as integer, input msg as character).

   method public void logStackTrace(input entrytypeId as integer, input msg as character, input except as System.Exception).

   method public void logStackTrace(input entrytypeId as integer, input msgId as int64, input msgTokens as System.Object extent, input except as System.Exception).

   method public void logWriteMessage(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character).

   method public void logWriteMessage(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character, input except as System.Exception).

   method public void logClose().

   method public character nameAt(input index as integer).

   method public void SetLogContext(input value as character).

   method public logical ifLogLevel(input loggingLevel as integer).

   method public logical ifLogIt(input loggingLevel as integer, input logEntries as int64, input logEntryIndex as integer).

   method public logical ifLogBasic(input logEntries as int64, input logEntryIndex as integer).

   method public logical ifLogVerbose(input logEntries as int64, input logEntryIndex as integer).

   method public logical ifLogExtended(input logEntries as int64, input logEntryIndex as integer).

   method public void ehnLogWrite(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character).

   method public int64 setLogEntries(input newLogEntries as int64, input newsubLevelUsed as logical, input newlogSubLevels as System.Byte extent).

   method public void ehnLogDump(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character, input pbData as System.Byte extent, input cbData as integer).

   method public void ehnLogStackTrace(input dest as integer, input severityLevel as integer, input execEnvId as character, input entrytypeId as character, input msgText as character, input e as System.Exception).

end interface.
