class Progress.Open4GL.DynamicAPI.DataRelationMetaData
   inherits Progress.Open4GL.DynamicAPI.MetaDataBase
   implements System.ComponentModel.IComponent, System.IDisposable, System.IServiceProvider, System.ComponentModel.IListSource, System.ComponentModel.ISupportInitializeNotification, System.ComponentModel.ISupportInitialize, System.Runtime.Serialization.ISerializable, System.Xml.Serialization.IXmlSerializable, Progress.Open4GL.DynamicAPI.IDataTable, Progress.Open4GL.IProDataRelationMetaData:

   def public property ChildIx as integer
      get.
      set.

   def public property ParentIx as integer
      get.
      set.

   def public property Flag as integer
      get.
      set.

   def public property Nested as logical
      get.
      set.

   def public property NumPairs as integer
      get.
      set.

   def public property PairsList as character
      get.
      set.

   def public property Linkname as character
      get.
      set.

   def public property ExtendedProperties as character
      get.
      set.

   constructor public DataRelationMetaData():
   end constructor.

   constructor public DataRelationMetaData(input linkname as character, input parentIx as integer, input childIx as integer, input numPairs as integer, input pairsList as character, input flag as integer, input extendedProperties as character):
   end constructor.

   constructor public DataRelationMetaData(input childIx as integer, input parentIx as integer, input flag as integer, input numPairs as integer, input pairsList as character, input linkname as character, input extendedProperties as character):
   end constructor.

   constructor public DataRelationMetaData(input mdata as Progress.Open4GL.DynamicAPI.DataRelationMetaData):
   end constructor.

   method public final character GetPair(input pairNum as integer):
   end method.

   method public final character GetPair(input pairNum as integer, input part as integer):
   end method.

   method protected final void validateCol(input column as integer):
   end method.

   method public integer getProColumnType(input column as integer):
   end method.

   method public integer getFieldProType(input field as integer):
   end method.

   method public integer getColumnProType(input column as integer):
   end method.

   method public character getFieldDotNETTypeName(input field as integer):
   end method.

   method public character getColumnDotNETTypeName(input column as integer):
   end method.

   method public override Progress.Open4GL.DynamicAPI.DataTableMetaData getMetaData():
   end method.

   method public integer getFieldExtent(input field as integer):
   end method.

   method public override integer getColumnCount():
   end method.

   method public override character getColumnName(input column as integer):
   end method.

   method public character getFieldName(input field as integer):
   end method.

   method public integer getPosition(input field as integer):
   end method.

   method public integer getUserOrder(input field as integer):
   end method.

   method public integer getFlag(input field as integer):
   end method.

   method public character getInitialValue(input field as integer):
   end method.

   method public character getCaption(input field as integer):
   end method.

   method public integer getXMLMapping(input field as integer):
   end method.

   method public character getExtendedProps(input field as integer):
   end method.

   method public character getHelpStr(input field as integer):
   end method.

   method public override integer getColumnType(input column as integer):
   end method.

   method public override character getColumnTypeName(input column as integer):
   end method.

   method public character getFieldTypeName(input field as integer):
   end method.

   method public override logical isCaseSensitive(input column as integer):
   end method.

   method public override logical isSearchable(input column as integer):
   end method.

   method public override logical isCurrency(input column as integer):
   end method.

   method public override character getTableName(input column as integer):
   end method.

   method public character getColumnClassName(input column as integer):
   end method.

end class.
