interface System.ComponentModel.IBindingListView
   inherits System.ComponentModel.IBindingList, System.Collections.IList, System.Collections.ICollection, System.Collections.IEnumerable:

   def public property Filter as character
      get.
      set.

   def public property SortDescriptions as System.ComponentModel.ListSortDescriptionCollection
      get.

   def public property SupportsAdvancedSorting as logical
      get.

   def public property SupportsFiltering as logical
      get.

   def public property AllowNew as logical
      get.

   def public property AllowEdit as logical
      get.

   def public property AllowRemove as logical
      get.

   def public property SupportsChangeNotification as logical
      get.

   def public property SupportsSearching as logical
      get.

   def public property SupportsSorting as logical
      get.

   def public property IsSorted as logical
      get.

   def public property SortProperty as System.ComponentModel.PropertyDescriptor
      get.

   def public property SortDirection as System.ComponentModel.ListSortDirection
      get.

   def public property Item as System.Object
      get.
      set.

   def public property IsReadOnly as logical
      get.

   def public property IsFixedSize as logical
      get.

   def public property Count as integer
      get.

   def public property SyncRoot as System.Object
      get.

   def public property IsSynchronized as logical
      get.

   def public event ListChanged signature void (input sender as System.Object, input e as System.ComponentModel.ListChangedEventArgs).

   method public void ApplySort(input sorts as System.ComponentModel.ListSortDescriptionCollection).

   method public void RemoveFilter().

   method public System.Object AddNew().

   method public void AddIndex(input property as System.ComponentModel.PropertyDescriptor).

   method public void ApplySort(input property as System.ComponentModel.PropertyDescriptor, input direction as System.ComponentModel.ListSortDirection).

   method public integer Find(input property as System.ComponentModel.PropertyDescriptor, input key as System.Object).

   method public void RemoveIndex(input property as System.ComponentModel.PropertyDescriptor).

   method public void RemoveSort().

   method public integer Add(input value as System.Object).

   method public logical Contains(input value as System.Object).

   method public void Clear().

   method public integer IndexOf(input value as System.Object).

   method public void Insert(input index as integer, input value as System.Object).

   method public void Remove(input value as System.Object).

   method public void RemoveAt(input index as integer).

   method public void CopyTo(input array as System.Array, input index as integer).

   method public System.Collections.IEnumerator GetEnumerator().

end interface.
