class System.Exception
   inherits System.Object
   implements Progress.Lang.Error, System.Runtime.Serialization.ISerializable, System.Runtime.InteropServices._Exception:

   def public property NumMessages as integer
      get.

   def public property CallStack as character
      get.

   def public property Severity as integer
      get.
      set.

   def public property Message as character
      get.

   def public property Data as System.Collections.IDictionary
      get.

   def public property InnerException as System.Exception
      get.

   def public property TargetSite as System.Reflection.MethodBase
      get.

   def public property StackTrace as character
      get.

   def public property HelpLink as character
      get.
      set.

   def public property Source as character
      get.
      set.

   def public property HResult as integer
      get.
      protectedset.

   def protected event SerializeObjectState signature void (input sender as System.Object, input e as System.Runtime.Serialization.SafeSerializationEventArgs).

   constructor public Exception():
   end constructor.

   constructor public Exception(input message as character):
   end constructor.

   constructor public Exception(input message as character, input innerException as System.Exception):
   end constructor.

   constructor protected Exception(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method public character GetMessage(input index as integer):
   end method.

   method public integer GetMessageNum(input index as integer):
   end method.

   method public System.Exception GetBaseException():
   end method.

   method public override character ToString():
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final override System.Type GetType():
   end method.

end class.
