class System.IdentityModel.Claims.Claim
   inherits System.Object:

   def public static property DefaultComparer as System.Collections.Generic.IEqualityComparer
      get.

   def public static property System as System.IdentityModel.Claims.Claim
      get.

   def public property Resource as System.Object
      get.

   def public property ClaimType as character
      get.

   def public property Right as character
      get.

   constructor public Claim(input claimType as character, input resource as System.Object, input right as character):
   end constructor.

   method public final static System.IdentityModel.Claims.Claim CreateDnsClaim(input dns as character):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateDenyOnlyWindowsSidClaim(input sid as System.Security.Principal.SecurityIdentifier):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateHashClaim(input hash as System.Byte extent):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateMailAddressClaim(input mailAddress as System.Net.Mail.MailAddress):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateNameClaim(input name as character):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateRsaClaim(input rsa as System.Security.Cryptography.RSA):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateSpnClaim(input spn as character):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateThumbprintClaim(input thumbprint as System.Byte extent):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateUpnClaim(input upn as character):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateUriClaim(input uri as System.Uri):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateWindowsSidClaim(input sid as System.Security.Principal.SecurityIdentifier):
   end method.

   method public final static System.IdentityModel.Claims.Claim CreateX500DistinguishedNameClaim(input x500DistinguishedName as System.Security.Cryptography.X509Certificates.X500DistinguishedName):
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

end class.
