class System.Security.AccessControl.SystemAcl
   inherits System.Security.AccessControl.CommonAcl
   implements System.Collections.ICollection, System.Collections.IEnumerable
   final:

   constructor public SystemAcl(input isContainer as logical, input isDS as logical, input capacity as integer):
   end constructor.

   constructor public SystemAcl(input isContainer as logical, input isDS as logical, input revision as integer, input capacity as integer):
   end constructor.

   constructor public SystemAcl(input isContainer as logical, input isDS as logical, input rawAcl as System.Security.AccessControl.RawAcl):
   end constructor.

   method public final void AddAudit(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final void SetAudit(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final logical RemoveAudit(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final void RemoveAuditSpecific(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags):
   end method.

   method public final void AddAudit(input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAuditRule):
   end method.

   method public final void AddAudit(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

   method public final void SetAudit(input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAuditRule):
   end method.

   method public final void SetAudit(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

   method public final logical RemoveAudit(input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAuditRule):
   end method.

   method public final logical RemoveAudit(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

   method public final void RemoveAuditSpecific(input sid as System.Security.Principal.SecurityIdentifier, input rule as System.Security.AccessControl.ObjectAuditRule):
   end method.

   method public final void RemoveAuditSpecific(input auditFlags as System.Security.AccessControl.AuditFlags, input sid as System.Security.Principal.SecurityIdentifier, input accessMask as integer, input inheritanceFlags as System.Security.AccessControl.InheritanceFlags, input propagationFlags as System.Security.AccessControl.PropagationFlags, input objectFlags as System.Security.AccessControl.ObjectAceFlags, input objectType as System.Guid, input inheritedObjectType as System.Guid):
   end method.

end class.
