class System.Security.Cryptography.AsymmetricAlgorithm
   inherits System.Object
   implements System.IDisposable
   abstract:

   def protected variable KeySizeValue as integer.

   def protected variable LegalKeySizesValue as System.Security.Cryptography.KeySizes extent.

   def public property KeySize as integer
      get.
      set.

   def public property LegalKeySizes as System.Security.Cryptography.KeySizes extent
      get.

   def public property SignatureAlgorithm as character
      get.

   def public property KeyExchangeAlgorithm as character
      get.

   constructor protected AsymmetricAlgorithm():
   end constructor.

   method public final void Dispose():
   end method.

   method public final void Clear():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public final static System.Security.Cryptography.AsymmetricAlgorithm Create():
   end method.

   method public final static System.Security.Cryptography.AsymmetricAlgorithm Create(input algName as character):
   end method.

   method public void FromXmlString(input xmlString as character):
   end method.

   method public character ToXmlString(input includePrivateParameters as logical):
   end method.

end class.
