class System.Windows.Forms.MenuItem
   inherits System.Windows.Forms.Menu
   implements System.ComponentModel.IComponent, System.IDisposable:

   def public property BarBreak as logical
      get.
      set.

   def public property Break as logical
      get.
      set.

   def public property Checked as logical
      get.
      set.

   def public property DefaultItem as logical
      get.
      set.

   def public property OwnerDraw as logical
      get.
      set.

   def public property Enabled as logical
      get.
      set.

   def public property Index as integer
      get.
      set.

   def public override property IsParent as logical
      get.

   def public property MdiList as logical
      get.
      set.

   def protected property MenuID as integer
      get.

   def public property MergeType as System.Windows.Forms.MenuMerge
      get.
      set.

   def public property MergeOrder as integer
      get.
      set.

   def public property Mnemonic as character
      get.

   def public property Parent as System.Windows.Forms.Menu
      get.

   def public property RadioCheck as logical
      get.
      set.

   def public property Text as character
      get.
      set.

   def public property Shortcut as System.Windows.Forms.Shortcut
      get.
      set.

   def public property ShowShortcut as logical
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public event Click signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DrawItem signature void (input sender as System.Object, input e as System.Windows.Forms.DrawItemEventArgs).

   def public event MeasureItem signature void (input sender as System.Object, input e as System.Windows.Forms.MeasureItemEventArgs).

   def public event Popup signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Select signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public MenuItem():
   end constructor.

   constructor public MenuItem(input text as character):
   end constructor.

   constructor public MenuItem(input text as character, input onClick as System.EventHandler):
   end constructor.

   constructor public MenuItem(input text as character, input onClick as System.EventHandler, input shortcut as System.Windows.Forms.Shortcut):
   end constructor.

   constructor public MenuItem(input text as character, input items as System.Windows.Forms.MenuItem extent):
   end constructor.

   constructor public MenuItem(input mergeType as System.Windows.Forms.MenuMerge, input mergeOrder as integer, input shortcut as System.Windows.Forms.Shortcut, input text as character, input onClick as System.EventHandler, input onPopup as System.EventHandler, input onSelect as System.EventHandler, input items as System.Windows.Forms.MenuItem extent):
   end constructor.

   method public System.Windows.Forms.MenuItem CloneMenu():
   end method.

   method protected final void CloneMenu(input itemSrc as System.Windows.Forms.MenuItem):
   end method.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public System.Windows.Forms.MenuItem MergeMenu():
   end method.

   method public final void MergeMenu(input itemSrc as System.Windows.Forms.MenuItem):
   end method.

   method protected void OnClick(input e as System.EventArgs):
   end method.

   method protected void OnDrawItem(input e as System.Windows.Forms.DrawItemEventArgs):
   end method.

   method protected void OnMeasureItem(input e as System.Windows.Forms.MeasureItemEventArgs):
   end method.

   method protected void OnPopup(input e as System.EventArgs):
   end method.

   method protected void OnSelect(input e as System.EventArgs):
   end method.

   method protected void OnInitMenuPopup(input e as System.EventArgs):
   end method.

   method public final void PerformClick():
   end method.

   method public void PerformSelect():
   end method.

   method public override character ToString():
   end method.

end class.
