class System.Xml.XmlDocumentFragment
   inherits System.Xml.XmlNode
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable:

   def public override property Name as character
      get.

   def public override property LocalName as character
      get.

   def public override property NodeType as System.Xml.XmlNodeType
      get.

   def public override property ParentNode as System.Xml.XmlNode
      get.

   def public override property OwnerDocument as System.Xml.XmlDocument
      get.

   def public override property InnerXml as character
      get.
      set.

   constructor protected XmlDocumentFragment(input ownerDocument as System.Xml.XmlDocument):
   end constructor.

   method public override System.Xml.XmlNode CloneNode(input deep as logical):
   end method.

   method public override void WriteTo(input w as System.Xml.XmlWriter):
   end method.

   method public override void WriteContentTo(input w as System.Xml.XmlWriter):
   end method.

end class.
