class System.Xml.XmlTextReader
   inherits System.Xml.XmlReader
   implements System.IDisposable, System.Xml.IXmlLineInfo, System.Xml.IXmlNamespaceResolver:

   def public override property NodeType as System.Xml.XmlNodeType
      get.

   def public override property Name as character
      get.

   def public override property LocalName as character
      get.

   def public override property NamespaceURI as character
      get.

   def public override property Prefix as character
      get.

   def public override property HasValue as logical
      get.

   def public override property Value as character
      get.

   def public override property Depth as integer
      get.

   def public override property BaseURI as character
      get.

   def public override property IsEmptyElement as logical
      get.

   def public override property IsDefault as logical
      get.

   def public override property QuoteChar as character
      get.

   def public override property XmlSpace as System.Xml.XmlSpace
      get.

   def public override property XmlLang as character
      get.

   def public override property AttributeCount as integer
      get.

   def public override property EOF as logical
      get.

   def public override property ReadState as System.Xml.ReadState
      get.

   def public override property NameTable as System.Xml.XmlNameTable
      get.

   def public override property CanResolveEntity as logical
      get.

   def public override property CanReadBinaryContent as logical
      get.

   def public override property CanReadValueChunk as logical
      get.

   def public property LineNumber as integer
      get.

   def public property LinePosition as integer
      get.

   def public property Namespaces as logical
      get.
      set.

   def public property Normalization as logical
      get.
      set.

   def public property Encoding as System.Text.Encoding
      get.

   def public property WhitespaceHandling as System.Xml.WhitespaceHandling
      get.
      set.

   def public property ProhibitDtd as logical
      get.
      set.

   def public property DtdProcessing as System.Xml.DtdProcessing
      get.
      set.

   def public property EntityHandling as System.Xml.EntityHandling
      get.
      set.

   def public property XmlResolver as System.Xml.XmlResolver
      set.

   constructor protected XmlTextReader():
   end constructor.

   constructor protected XmlTextReader(input nt as System.Xml.XmlNameTable):
   end constructor.

   constructor public XmlTextReader(input input as System.IO.Stream):
   end constructor.

   constructor public XmlTextReader(input url as character, input input as System.IO.Stream):
   end constructor.

   constructor public XmlTextReader(input input as System.IO.Stream, input nt as System.Xml.XmlNameTable):
   end constructor.

   constructor public XmlTextReader(input url as character, input input as System.IO.Stream, input nt as System.Xml.XmlNameTable):
   end constructor.

   constructor public XmlTextReader(input input as System.IO.TextReader):
   end constructor.

   constructor public XmlTextReader(input url as character, input input as System.IO.TextReader):
   end constructor.

   constructor public XmlTextReader(input input as System.IO.TextReader, input nt as System.Xml.XmlNameTable):
   end constructor.

   constructor public XmlTextReader(input url as character, input input as System.IO.TextReader, input nt as System.Xml.XmlNameTable):
   end constructor.

   constructor public XmlTextReader(input xmlFragment as System.IO.Stream, input fragType as System.Xml.XmlNodeType, input context as System.Xml.XmlParserContext):
   end constructor.

   constructor public XmlTextReader(input xmlFragment as character, input fragType as System.Xml.XmlNodeType, input context as System.Xml.XmlParserContext):
   end constructor.

   constructor public XmlTextReader(input url as character):
   end constructor.

   constructor public XmlTextReader(input url as character, input nt as System.Xml.XmlNameTable):
   end constructor.

   method public override character GetAttribute(input name as character):
   end method.

   method public override character GetAttribute(input localName as character, input namespaceURI as character):
   end method.

   method public override character GetAttribute(input i as integer):
   end method.

   method public override logical MoveToAttribute(input name as character):
   end method.

   method public override logical MoveToAttribute(input localName as character, input namespaceURI as character):
   end method.

   method public override void MoveToAttribute(input i as integer):
   end method.

   method public override logical MoveToFirstAttribute():
   end method.

   method public override logical MoveToNextAttribute():
   end method.

   method public override logical MoveToElement():
   end method.

   method public override logical ReadAttributeValue():
   end method.

   method public override logical Read():
   end method.

   method public override void Close():
   end method.

   method public override void Skip():
   end method.

   method public override character LookupNamespace(input prefix as character):
   end method.

   method public override void ResolveEntity():
   end method.

   method public override integer ReadContentAsBase64(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public override integer ReadElementContentAsBase64(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public override integer ReadContentAsBinHex(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public override integer ReadElementContentAsBinHex(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public override character ReadString():
   end method.

   method public final logical HasLineInfo():
   end method.

   method public final System.Collections.Generic.IDictionary GetNamespacesInScope(input scope as System.Xml.XmlNamespaceScope):
   end method.

   method public final void ResetState():
   end method.

   method public final System.IO.TextReader GetRemainder():
   end method.

   method public final integer ReadChars(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public final integer ReadBase64(input array as System.Byte extent, input offset as integer, input len as integer):
   end method.

   method public final integer ReadBinHex(input array as System.Byte extent, input offset as integer, input len as integer):
   end method.

end class.
