class ComponentFactory.Krypton.Navigator.HeaderGroupMappingBase
   inherits ComponentFactory.Krypton.Toolkit.HeaderValuesBase
   implements ComponentFactory.Krypton.Toolkit.IContentValues
   abstract:

   def public override property IsDefault as logical
      get.

   def public property MapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public property MapHeading as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property MapDescription as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   constructor public HeaderGroupMappingBase(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method protected override System.Drawing.Image GetImageDefault():
   end method.

   method protected abstract ComponentFactory.Krypton.Navigator.MapKryptonPageImage GetMapImageDefault().

   method protected abstract ComponentFactory.Krypton.Navigator.MapKryptonPageText GetMapHeadingDefault().

   method protected abstract ComponentFactory.Krypton.Navigator.MapKryptonPageText GetMapDescriptionDefault().

   method public override System.Drawing.Image GetImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public override character GetShortText():
   end method.

   method public override character GetLongText():
   end method.

   method public final void ResetMapImage():
   end method.

   method public final void ResetMapHeading():
   end method.

   method public final void ResetMapDescription():
   end method.

end class.
