class ComponentFactory.Krypton.Navigator.NavigatorBar
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property BarAnimation as logical
      get.
      set.

   def public property BarOrientation as ComponentFactory.Krypton.Toolkit.VisualOrientation
      get.
      set.

   def public property BarFirstItemInset as integer
      get.
      set.

   def public property BarLastItemInset as integer
      get.
      set.

   def public property BarMinimumHeight as integer
      get.
      set.

   def public property BarMultiline as ComponentFactory.Krypton.Navigator.BarMultiline
      get.
      set.

   def public property CheckButtonStyle as ComponentFactory.Krypton.Toolkit.ButtonStyle
      get.
      set.

   def public property TabStyle as ComponentFactory.Krypton.Toolkit.TabStyle
      get.
      set.

   def public property TabBorderStyle as ComponentFactory.Krypton.Toolkit.TabBorderStyle
      get.
      set.

   def public property ItemAlignment as ComponentFactory.Krypton.Toolkit.RelativePositionAlign
      get.
      set.

   def public property ItemMinimumSize as System.Drawing.Size
      get.
      set.

   def public property ItemMaximumSize as System.Drawing.Size
      get.
      set.

   def public property ItemOrientation as ComponentFactory.Krypton.Toolkit.ButtonOrientation
      get.
      set.

   def public property ItemSizing as ComponentFactory.Krypton.Navigator.BarItemSizing
      get.
      set.

   def public property BarMapImage as ComponentFactory.Krypton.Navigator.MapKryptonPageImage
      get.
      set.

   def public property BarMapText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   def public property BarMapExtraText as ComponentFactory.Krypton.Navigator.MapKryptonPageText
      get.
      set.

   constructor public NavigatorBar(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetBarAnimation():
   end method.

   method public final void ResetBarOrientation():
   end method.

   method public final void ResetBarFirstItemInset():
   end method.

   method public final void ResetBarLastItemInset():
   end method.

   method public final void ResetBarMinimumHeight():
   end method.

   method public final void ResetBarMultiline():
   end method.

   method public final void ResetItemAlignment():
   end method.

   method public final void ResetItemMinimumSize():
   end method.

   method public final void ResetItemMaximumSize():
   end method.

   method public final void ResetItemOrientation():
   end method.

   method public final void ResetItemSizing():
   end method.

   method public final void ResetBarMapImage():
   end method.

   method public final void ResetBarMapText():
   end method.

   method public final void ResetBarMapExtraText():
   end method.

end class.
