class ComponentFactory.Krypton.Navigator.NavigatorOutlook
   inherits ComponentFactory.Krypton.Toolkit.Storage:

   def public override property IsDefault as logical
      get.

   def public property Full as ComponentFactory.Krypton.Navigator.NavigatorOutlookFull
      get.

   def public property Mini as ComponentFactory.Krypton.Navigator.NavigatorOutlookMini
      get.

   def public property CheckButtonStyle as ComponentFactory.Krypton.Toolkit.ButtonStyle
      get.
      set.

   def public property OverflowButtonStyle as ComponentFactory.Krypton.Toolkit.ButtonStyle
      get.
      set.

   def public property BorderEdgeStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle
      get.
      set.

   def public property Orientation as System.Windows.Forms.Orientation
      get.
      set.

   def public property ItemOrientation as ComponentFactory.Krypton.Toolkit.ButtonOrientation
      get.
      set.

   def public property HeaderSecondaryVisible as ComponentFactory.Krypton.Toolkit.InheritBool
      get.
      set.

   def public property TextMoreButtons as character
      get.
      set.

   def public property TextFewerButtons as character
      get.
      set.

   def public property TextAddRemoveButtons as character
      get.
      set.

   def public property ShowDropDownButton as logical
      get.
      set.

   constructor public NavigatorOutlook(input navigator as ComponentFactory.Krypton.Navigator.KryptonNavigator, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void ResetOrientation():
   end method.

   method public final void ResetItemOrientation():
   end method.

   method public final void ResetHeaderSecondaryVisible():
   end method.

   method public final void ResetTextMoreButtons():
   end method.

   method public final void ResetTextFewerButtons():
   end method.

   method public final void ResetTextAddRemoveButtons():
   end method.

   method public final void ResetShowDropDownButton():
   end method.

end class.
