class ComponentFactory.Krypton.Toolkit.PaletteBorderEdgeRedirect
   inherits ComponentFactory.Krypton.Toolkit.PaletteBack
   implements ComponentFactory.Krypton.Toolkit.IPaletteBack, ComponentFactory.Krypton.Toolkit.IPaletteBorder:

   def public override property IsDefault as logical
      get.

   def public property Width as integer
      get.
      set.

   constructor public PaletteBorderEdgeRedirect(input inherit as ComponentFactory.Krypton.Toolkit.IPaletteBorder, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public void SetPalette(input paletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetBorderDraw(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteDrawBorders GetBorderDrawBorders(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteGraphicsHint GetBorderGraphicsHint(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetBorderColor1(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Color GetBorderColor2(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteColorStyle GetBorderColorStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderColorAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final decimal GetBorderColorAngle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final integer GetBorderWidth(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final integer GetBorderRounding(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final System.Drawing.Image GetBorderImage(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteImageStyle GetBorderImageStyle(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.PaletteRectangleAlign GetBorderImageAlign(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

end class.
