class ComponentFactory.Krypton.Toolkit.PaletteTabTripleRedirect
   inherits ComponentFactory.Krypton.Toolkit.Storage
   implements ComponentFactory.Krypton.Toolkit.IPaletteTriple:

   def public override property IsDefault as logical
      get.

   def public property Back as ComponentFactory.Krypton.Toolkit.PaletteBack
      get.

   def public property PaletteBack as ComponentFactory.Krypton.Toolkit.IPaletteBack
      get.

   def public property BackStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle
      get.
      set.

   def public property Border as ComponentFactory.Krypton.Toolkit.PaletteTabBorder
      get.

   def public property PaletteBorder as ComponentFactory.Krypton.Toolkit.IPaletteBorder
      get.

   def public property BorderStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle
      get.
      set.

   def public property Content as ComponentFactory.Krypton.Toolkit.PaletteContent
      get.

   def public property PaletteContent as ComponentFactory.Krypton.Toolkit.IPaletteContent
      get.

   def public property ContentStyle as ComponentFactory.Krypton.Toolkit.PaletteContentStyle
      get.
      set.

   constructor public PaletteTabTripleRedirect(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect, input backStyle as ComponentFactory.Krypton.Toolkit.PaletteBackStyle, input borderStyle as ComponentFactory.Krypton.Toolkit.PaletteBorderStyle, input contentStyle as ComponentFactory.Krypton.Toolkit.PaletteContentStyle, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public void SetRedirector(input redirect as ComponentFactory.Krypton.Toolkit.PaletteRedirect):
   end method.

   method public final void SetStyles(input tabStyle as ComponentFactory.Krypton.Toolkit.TabStyle):
   end method.

   method public final void PopulateFromBase(input state as ComponentFactory.Krypton.Toolkit.PaletteState):
   end method.

   method protected final void OnNeedPaint(input sender as System.Object, input needLayout as logical):
   end method.

end class.
