class ComponentFactory.Krypton.Toolkit.ToolTipManager
   inherits System.Object:

   def public property ShowInterval as integer
      get.
      set.

   def public property CloseInterval as integer
      get.
      set.

   def public event ShowToolTip signature void (input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.ToolTipEventArgs).

   def public event CancelToolTip signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public ToolTipManager():
   end constructor.

   method public final void MouseEnter(input targetElement as ComponentFactory.Krypton.Toolkit.ViewBase, input c as System.Windows.Forms.Control):
   end method.

   method public final void MouseMove(input targetElement as ComponentFactory.Krypton.Toolkit.ViewBase, input c as System.Windows.Forms.Control, input pt as System.Drawing.Point):
   end method.

   method public final void MouseDown(input targetElement as ComponentFactory.Krypton.Toolkit.ViewBase, input c as System.Windows.Forms.Control, input pt as System.Drawing.Point, input button as System.Windows.Forms.MouseButtons):
   end method.

   method public final void MouseUp(input targetElement as ComponentFactory.Krypton.Toolkit.ViewBase, input c as System.Windows.Forms.Control, input pt as System.Drawing.Point, input button as System.Windows.Forms.MouseButtons):
   end method.

   method public final void MouseLeave(input targetElement as ComponentFactory.Krypton.Toolkit.ViewBase, input c as System.Windows.Forms.Control, input next as ComponentFactory.Krypton.Toolkit.ViewBase):
   end method.

   method public final void DoubleClick(input targetElement as ComponentFactory.Krypton.Toolkit.ViewBase, input pt as System.Drawing.Point):
   end method.

   method protected void OnShowToolTip(input e as ComponentFactory.Krypton.Toolkit.ToolTipEventArgs):
   end method.

   method protected void OnCancelToolTip():
   end method.

end class.
