class ComponentFactory.Krypton.Toolkit.ViewContext
   inherits ComponentFactory.Krypton.Toolkit.GlobalId
   implements System.IDisposable:

   def public property ViewManager as ComponentFactory.Krypton.Toolkit.ViewManager
      get.

   def public property Control as System.Windows.Forms.Control
      get.
      set.

   def public property AlignControl as System.Windows.Forms.Control
      get.
      set.

   def public property Graphics as System.Drawing.Graphics
      get.

   def public property TopControl as System.Windows.Forms.Control
      get.

   def public property Renderer as ComponentFactory.Krypton.Toolkit.IRenderer
      get.

   constructor public ViewContext(input manager as ComponentFactory.Krypton.Toolkit.ViewManager, input control as System.Windows.Forms.Control, input alignControl as System.Windows.Forms.Control, input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end constructor.

   constructor public ViewContext(input control as System.Windows.Forms.Control, input alignControl as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end constructor.

   constructor public ViewContext(input manager as ComponentFactory.Krypton.Toolkit.ViewManager, input control as System.Windows.Forms.Control, input alignControl as System.Windows.Forms.Control, input graphics as System.Drawing.Graphics, input renderer as ComponentFactory.Krypton.Toolkit.IRenderer):
   end constructor.

   method public final void Dispose():
   end method.

end class.
