interface DataPA.Application
   inherits DataPA._Application, DataPA.__Application_Event:

   def public property Systems as DataPA.Systems
      get.
      set.

   def public property Connection as System.Object
      get.
      set.

   def public property QueryValidated as logical
      get.

   def public property ConditionsRecordset as ADODB.Recordset
      get.

   def public property SystemsRecordset as ADODB.Recordset
      get.

   def public property LinksRecordset as ADODB.Recordset
      get.

   def public property Subjectsrecordset as ADODB.Recordset
      get.

   def public property QueryRecordSet as ADODB.Recordset
      get.

   def public property MessageTitle as character
      get.
      set.

   def public property DateFormat as character
      get.
      set.

   def public property Interface as System.Object
      get.
      set.

   def public property Query as DataPA.Query
      get.
      set.

   def public property UserName as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property DataLocation as character
      get.
      set.

   def public property UpdateLocation as character
      get.
      set.

   def public property AutoUpdate as logical
      get.
      set.

   def public property Security as DataPA.Security
      get.

   def public property Licensed as logical
      get.

   def public property AllowSplitResults as logical
      get.
      set.

   def public property QueryString as character
      get.
      set.

   def public property ShowCopyQuery as logical
      get.
      set.

   def public property DisableAutoUpdate as logical
      get.
      set.

   def public property NonPrimaryLink as logical
      get.
      set.

   def public property PrivateInfo as character
      get.
      set.

   def public property Silent as logical
      get.
      set.

   def public property MessageLogFile as character
      get.
      set.

   def public property NoOverride as logical
      get.
      set.

   def public property SmartDataObjectsRecordset as ADODB.Recordset
      get.

   def public property SQLDatabases as ADODB.Recordset
      get.
      set.

   def public property SQLTables as ADODB.Recordset
      get.
      set.

   def public property SQLFields as ADODB.Recordset
      get.
      set.

   def public property ForceSelectLinkFields as logical
      get.
      set.

   def public property CopyParentParameters as logical
      get.
      set.

   def public property LookupsRecordset as ADODB.Recordset
      get.

   def public property QuietCheckForUpdate as logical
      get.
      set.

   def public property DataFileFormat as DataPA.paDataFileFormat
      get.
      set.

   def public property SessionFree as logical
      get.

   def public property SupressLoadingWindow as logical
      get.
      set.

   def public property SchedulerParent as logical
      get.
      set.

   def public property WebLocation as character
      get.
      set.

   def public property CS as DataPA.CS
      get.
      set.

   def public property ClientConfig as DataPAClientConfig.ClientConfig
      get.
      set.

   def public event QueryAlive signature void (input Cancel as logical).

   def public event DataAvailable signature void ().

   def public event GetInterface signature void ().

   def public event ChangeToDesign signature void ().

   def public event QueryOpened signature void (input Query as DataPA.Query).

   def public event QueryClosed signature void ().

   def public event CancelQueryWizard signature void ().

   def public event CancelLinkWizard signature void ().

   def public event RunQuery signature void (input Query as DataPA.Query, input Cancel as logical).

   def public event SetupChange signature void (input paType as DataPA.paSetupChangeType, input Bookmark as System.Object, input bNew as logical).

   def public event SetupRefreshed signature void ().

   def public event CloseQueryRequest signature void (input paResponse as DataPA.paRequestCloseQueryResponse).

   def public event SlientSet signature void (input bSilent as logical).

   def public event LicenseChanged signature void ().

   def public event ConnectClientServer signature void (input bRunningCS as logical).

   def public event RunProcedure signature void (input cmethodname as character, input cProcType as character, input cReturnValue as character, input cReturnType as character, input cParameterNames as character, input cParameterTypes as character, input cParameterTypes as character, input cParameterDirections as character, input rs1 as System.Object, input rs2 as System.Object, input rs3 as System.Object, input rs4 as System.Object, input rs5 as System.Object, input rs6 as System.Object).

   def public event OpenPublished signature void (input contentType as DataPAClientConfig.ClientConfig.AllowOpenFromServerFileType, input DocumentName as character, input data as System.Byte extent).

   def public event LoginInformationRequest signature void (input LoginInfo as DataPA.LoginInfoEventArgs).

   def public event ConnectFail signature void ().

   method public void ShowLinkWizard(input SystemName as System.Object, input LinkID as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public void ShowSubjectWizard(input SystemName as System.Object, input SubjectID as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public DataPA.Query ShowQueryWizard(input Query as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public void ShowMain(input Modal as System.Object, input OwnerForm as System.Object).

   method public void ShowSystemWizard(input SystemName as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public void HideMain().

   method public DataPA.Query LoadQuery(input Filename as character).

   method public DataPA.Query SavedQuery(input Filename as character).

   method public void LoadDefaultLinks(input SystemName as character, input OwnerForm as System.Object, input Success as logical).

   method public logical DeleteLink(input ID as character, input Silent as logical).

   method public logical DeleteSystem(input Name as character, input Silent as logical).

   method public logical DeleteSubject(input ID as character, input Silent as logical).

   method public void SaveSettings().

   method public void ShowSetup(input Modal as System.Object, input OwnerForm as System.Object).

   method public void CopyRecordset(input rsFrom as ADODB.Recordset, input rsTo as ADODB.Recordset).

   method public void ShowSecurity(input Modal as System.Object, input OwnerForm as System.Object).

   method public character GetResString(input nRes as integer).

   method public void ProcessButtonTags(input btn as OutlookBar.cButton).

   method public void ShowAbout(input Modal as System.Object, input OwnerForm as System.Object).

   method public void CloseQuery().

   method public void ShowRegister(input Modal as System.Object, input OwnerForm as System.Object).

   method public DataPA.Query LoadQueryFromString(input QueryString as character).

   method public void CheckForUpdate().

   method public void CheckRecordsMatch().

   method public logical ApplyLicense(input User as character, input Organisation as character, input SerialNumber as character, input RegistrationCode as character).

   method public logical DynamicsLogin().

   method public logical ApplyCrystalLicense(input Code as System.Object).

   method public character ShowExplore(input bSelect as logical, input bSearch as logical, input sSystem as character, input ssubject as character).

   method public void ShowSelectConnection(input Modal as System.Object, input OwnerForm as System.Object).

   method public DataPA.Query ShowChildQueryWizard(input Parent as DataPA.Query, input Query as DataPA.Query, input Modal as System.Object, input OwnerForm as System.Object).

   method public void UpdateLookups(input SystemName as character, input OwnerForm as System.Object, input Success as logical).

   method public void ShowLookupWizard(input SystemName as System.Object, input LookupID as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public logical DeleteLookup(input ID as character, input Silent as logical).

   method public logical RefreshSetup().

   method public character GetLanguageString(input stringcode as integer).

   method public System.Object ImportResultsQuery(input sSystemName as character, input sFileName as character, input bUpdateSetup as logical, input rssubj as ADODB.Recordset, input rslink as ADODB.Recordset, input rscond as ADODB.Recordset).

   method public void ReadQueryFromCollection(input p_QueryCollection as vba.Collection).

   method public void ShowHelpWindow(input hwnd as integer, input hType as integer, input Topic as integer).

   method public logical LockSetupData(input UserName as character, input Details as character, input DateTime as character).

   method public logical UnLockSetupData(input UserName as character, input Details as character, input DateTime as character).

   method public logical IsSetupLockValid(input UserName as character, input Details as character, input DateTime as character).

   method public void GenerateSubjects(input SystemName as character, input OwnerForm as System.Object, input Success as logical).

   method public logical CallConnectClientServer().

   method public void CallRunProcedure(input cmethodname as character, input cProcType as character, input cReturnValue as character, input cReturnType as character, input cParameterNames as character, input cParameterTypes as character, input cParameterValues as character, input cParameterDirections as character, input rs1 as System.Object, input rs2 as System.Object, input rs3 as System.Object, input rs4 as System.Object, input rs5 as System.Object, input rs6 as System.Object).

   method public System.Object CloneSubject(input cID as character, input Success as logical).

   method public void ViewData(input sSystem as character, input squerystring as character, input sFieldList as character, input sLabelList as character, input stable as character).

   method public void Initialise().

   method public logical RaiseQueryAlive().

   method public System.Object CloneSubjectAndLinksLookups(input cID as character, input Success as logical).

   method public void ImportDataPAExportFile(input File as character, input SystemOverwriteAction as integer, input SubjectOverwriteAction as integer, input OverwriteDuplicates as logical, input Message as character, input SaveCopyofDATFilesToFolder as character).

   method public void ShowManagePublished(input FileType as DataPAClientConfig.ClientConfig.AllowOpenFromServerFileType).

   method public logical PublishtoEnterprise(input ERrorMessage as character).

   method public void ShowProperties().

   method public void ImportDataPAExportFileToSystem(input File as character, input SystemOverwriteAction as integer, input SubjectOverwriteAction as integer, input OverwriteDuplicates as logical, input Message as character, input SaveCopyofDATFilesToFolder as character, input ImporttoSystem as character, input TransformDBNames as character).

   method public void RaiseLoginInformationRequest(input LoginInfo as DataPA.LoginInfoEventArgs).

   method public void RaiseConnectFail().

   method public void add_QueryAlive(input evt as DataPA.__Application_QueryAliveEventHandler).

   method public void remove_QueryAlive(input evt as DataPA.__Application_QueryAliveEventHandler).

   method public void add_DataAvailable(input evt as DataPA.__Application_DataAvailableEventHandler).

   method public void remove_DataAvailable(input evt as DataPA.__Application_DataAvailableEventHandler).

   method public void add_GetInterface(input evt as DataPA.__Application_GetInterfaceEventHandler).

   method public void remove_GetInterface(input evt as DataPA.__Application_GetInterfaceEventHandler).

   method public void add_ChangeToDesign(input evt as DataPA.__Application_ChangeToDesignEventHandler).

   method public void remove_ChangeToDesign(input evt as DataPA.__Application_ChangeToDesignEventHandler).

   method public void add_QueryOpened(input evt as DataPA.__Application_QueryOpenedEventHandler).

   method public void remove_QueryOpened(input evt as DataPA.__Application_QueryOpenedEventHandler).

   method public void add_QueryClosed(input evt as DataPA.__Application_QueryClosedEventHandler).

   method public void remove_QueryClosed(input evt as DataPA.__Application_QueryClosedEventHandler).

   method public void add_CancelQueryWizard(input evt as DataPA.__Application_CancelQueryWizardEventHandler).

   method public void remove_CancelQueryWizard(input evt as DataPA.__Application_CancelQueryWizardEventHandler).

   method public void add_CancelLinkWizard(input evt as DataPA.__Application_CancelLinkWizardEventHandler).

   method public void remove_CancelLinkWizard(input evt as DataPA.__Application_CancelLinkWizardEventHandler).

   method public void add_RunQuery(input evt as DataPA.__Application_RunQueryEventHandler).

   method public void remove_RunQuery(input evt as DataPA.__Application_RunQueryEventHandler).

   method public void add_SetupChange(input evt as DataPA.__Application_SetupChangeEventHandler).

   method public void remove_SetupChange(input evt as DataPA.__Application_SetupChangeEventHandler).

   method public void add_SetupRefreshed(input evt as DataPA.__Application_SetupRefreshedEventHandler).

   method public void remove_SetupRefreshed(input evt as DataPA.__Application_SetupRefreshedEventHandler).

   method public void add_CloseQueryRequest(input evt as DataPA.__Application_CloseQueryRequestEventHandler).

   method public void remove_CloseQueryRequest(input evt as DataPA.__Application_CloseQueryRequestEventHandler).

   method public void add_SlientSet(input evt as DataPA.__Application_SlientSetEventHandler).

   method public void remove_SlientSet(input evt as DataPA.__Application_SlientSetEventHandler).

   method public void add_LicenseChanged(input evt as DataPA.__Application_LicenseChangedEventHandler).

   method public void remove_LicenseChanged(input evt as DataPA.__Application_LicenseChangedEventHandler).

   method public void add_ConnectClientServer(input evt as DataPA.__Application_ConnectClientServerEventHandler).

   method public void remove_ConnectClientServer(input evt as DataPA.__Application_ConnectClientServerEventHandler).

   method public void add_RunProcedure(input evt as DataPA.__Application_RunProcedureEventHandler).

   method public void remove_RunProcedure(input evt as DataPA.__Application_RunProcedureEventHandler).

   method public void add_OpenPublished(input evt as DataPA.__Application_OpenPublishedEventHandler).

   method public void remove_OpenPublished(input evt as DataPA.__Application_OpenPublishedEventHandler).

   method public void add_LoginInformationRequest(input evt as DataPA.__Application_LoginInformationRequestEventHandler).

   method public void remove_LoginInformationRequest(input evt as DataPA.__Application_LoginInformationRequestEventHandler).

   method public void add_ConnectFail(input evt as DataPA.__Application_ConnectFailEventHandler).

   method public void remove_ConnectFail(input evt as DataPA.__Application_ConnectFailEventHandler).

end interface.
