interface DataPA._Application:

   def public property Systems as DataPA.Systems
      get.
      set.

   def public property Connection as System.Object
      get.
      set.

   def public property QueryValidated as logical
      get.

   def public property ConditionsRecordset as ADODB.Recordset
      get.

   def public property SystemsRecordset as ADODB.Recordset
      get.

   def public property LinksRecordset as ADODB.Recordset
      get.

   def public property Subjectsrecordset as ADODB.Recordset
      get.

   def public property QueryRecordSet as ADODB.Recordset
      get.

   def public property MessageTitle as character
      get.
      set.

   def public property DateFormat as character
      get.
      set.

   def public property Interface as System.Object
      get.
      set.

   def public property Query as DataPA.Query
      get.
      set.

   def public property UserName as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property DataLocation as character
      get.
      set.

   def public property UpdateLocation as character
      get.
      set.

   def public property AutoUpdate as logical
      get.
      set.

   def public property Security as DataPA.Security
      get.

   def public property Licensed as logical
      get.

   def public property AllowSplitResults as logical
      get.
      set.

   def public property QueryString as character
      get.
      set.

   def public property ShowCopyQuery as logical
      get.
      set.

   def public property DisableAutoUpdate as logical
      get.
      set.

   def public property NonPrimaryLink as logical
      get.
      set.

   def public property PrivateInfo as character
      get.
      set.

   def public property Silent as logical
      get.
      set.

   def public property MessageLogFile as character
      get.
      set.

   def public property NoOverride as logical
      get.
      set.

   def public property SmartDataObjectsRecordset as ADODB.Recordset
      get.

   def public property SQLDatabases as ADODB.Recordset
      get.
      set.

   def public property SQLTables as ADODB.Recordset
      get.
      set.

   def public property SQLFields as ADODB.Recordset
      get.
      set.

   def public property ForceSelectLinkFields as logical
      get.
      set.

   def public property CopyParentParameters as logical
      get.
      set.

   def public property LookupsRecordset as ADODB.Recordset
      get.

   def public property QuietCheckForUpdate as logical
      get.
      set.

   def public property DataFileFormat as DataPA.paDataFileFormat
      get.
      set.

   def public property SessionFree as logical
      get.

   def public property SupressLoadingWindow as logical
      get.
      set.

   def public property SchedulerParent as logical
      get.
      set.

   def public property WebLocation as character
      get.
      set.

   def public property CS as DataPA.CS
      get.
      set.

   def public property ClientConfig as DataPAClientConfig.ClientConfig
      get.
      set.

   method public void ShowLinkWizard(input SystemName as System.Object, input LinkID as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public void ShowSubjectWizard(input SystemName as System.Object, input SubjectID as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public DataPA.Query ShowQueryWizard(input Query as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public void ShowMain(input Modal as System.Object, input OwnerForm as System.Object).

   method public void ShowSystemWizard(input SystemName as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public void HideMain().

   method public DataPA.Query LoadQuery(input Filename as character).

   method public DataPA.Query SavedQuery(input Filename as character).

   method public void LoadDefaultLinks(input SystemName as character, input OwnerForm as System.Object, input Success as logical).

   method public logical DeleteLink(input ID as character, input Silent as logical).

   method public logical DeleteSystem(input Name as character, input Silent as logical).

   method public logical DeleteSubject(input ID as character, input Silent as logical).

   method public void SaveSettings().

   method public void ShowSetup(input Modal as System.Object, input OwnerForm as System.Object).

   method public void CopyRecordset(input rsFrom as ADODB.Recordset, input rsTo as ADODB.Recordset).

   method public void ShowSecurity(input Modal as System.Object, input OwnerForm as System.Object).

   method public character GetResString(input nRes as integer).

   method public void ProcessButtonTags(input btn as OutlookBar.cButton).

   method public void ShowAbout(input Modal as System.Object, input OwnerForm as System.Object).

   method public void CloseQuery().

   method public void ShowRegister(input Modal as System.Object, input OwnerForm as System.Object).

   method public DataPA.Query LoadQueryFromString(input QueryString as character).

   method public void CheckForUpdate().

   method public void CheckRecordsMatch().

   method public logical ApplyLicense(input User as character, input Organisation as character, input SerialNumber as character, input RegistrationCode as character).

   method public logical DynamicsLogin().

   method public logical ApplyCrystalLicense(input Code as System.Object).

   method public character ShowExplore(input bSelect as logical, input bSearch as logical, input sSystem as character, input ssubject as character).

   method public void ShowSelectConnection(input Modal as System.Object, input OwnerForm as System.Object).

   method public DataPA.Query ShowChildQueryWizard(input Parent as DataPA.Query, input Query as DataPA.Query, input Modal as System.Object, input OwnerForm as System.Object).

   method public void UpdateLookups(input SystemName as character, input OwnerForm as System.Object, input Success as logical).

   method public void ShowLookupWizard(input SystemName as System.Object, input LookupID as System.Object, input Modal as System.Object, input OwnerForm as System.Object).

   method public logical DeleteLookup(input ID as character, input Silent as logical).

   method public logical RefreshSetup().

   method public character GetLanguageString(input stringcode as integer).

   method public System.Object ImportResultsQuery(input sSystemName as character, input sFileName as character, input bUpdateSetup as logical, input rssubj as ADODB.Recordset, input rslink as ADODB.Recordset, input rscond as ADODB.Recordset).

   method public void ReadQueryFromCollection(input p_QueryCollection as vba.Collection).

   method public void ShowHelpWindow(input hwnd as integer, input hType as integer, input Topic as integer).

   method public logical LockSetupData(input UserName as character, input Details as character, input DateTime as character).

   method public logical UnLockSetupData(input UserName as character, input Details as character, input DateTime as character).

   method public logical IsSetupLockValid(input UserName as character, input Details as character, input DateTime as character).

   method public void GenerateSubjects(input SystemName as character, input OwnerForm as System.Object, input Success as logical).

   method public logical CallConnectClientServer().

   method public void CallRunProcedure(input cmethodname as character, input cProcType as character, input cReturnValue as character, input cReturnType as character, input cParameterNames as character, input cParameterTypes as character, input cParameterValues as character, input cParameterDirections as character, input rs1 as System.Object, input rs2 as System.Object, input rs3 as System.Object, input rs4 as System.Object, input rs5 as System.Object, input rs6 as System.Object).

   method public System.Object CloneSubject(input cID as character, input Success as logical).

   method public void ViewData(input sSystem as character, input squerystring as character, input sFieldList as character, input sLabelList as character, input stable as character).

   method public void Initialise().

   method public logical RaiseQueryAlive().

   method public System.Object CloneSubjectAndLinksLookups(input cID as character, input Success as logical).

   method public void ImportDataPAExportFile(input File as character, input SystemOverwriteAction as integer, input SubjectOverwriteAction as integer, input OverwriteDuplicates as logical, input Message as character, input SaveCopyofDATFilesToFolder as character).

   method public void ShowManagePublished(input FileType as DataPAClientConfig.ClientConfig.AllowOpenFromServerFileType).

   method public logical PublishtoEnterprise(input ERrorMessage as character).

   method public void ShowProperties().

   method public void ImportDataPAExportFileToSystem(input File as character, input SystemOverwriteAction as integer, input SubjectOverwriteAction as integer, input OverwriteDuplicates as logical, input Message as character, input SaveCopyofDATFilesToFolder as character, input ImporttoSystem as character, input TransformDBNames as character).

   method public void RaiseLoginInformationRequest(input LoginInfo as DataPA.LoginInfoEventArgs).

   method public void RaiseConnectFail().

end interface.
