class Infragistics.UltraChart.Shared.Styles.LabelStyle
   inherits Infragistics.UltraChart.Resources.Appearance.AppearanceHelper
   implements Infragistics.UltraChart.Resources.IProvideChartComponent, System.ICloneable, System.IDisposable:

   def public property Font as System.Drawing.Font
      get.
      set.

   def public property FontColor as System.Drawing.Color
      get.
      set.

   def public property WrapText as logical
      get.
      set.

   def public property HorizontalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property VerticalAlign as System.Drawing.StringAlignment
      get.
      set.

   def public property ClipText as logical
      get.
      set.

   def public property Trimming as System.Drawing.StringTrimming
      get.
      set.

   def public property ReverseText as logical
      get.
      set.

   def public property Orientation as Infragistics.UltraChart.Shared.Styles.TextOrientation
      get.
      set.

   def public property RotationAngle as integer
      get.
      set.

   def public property FontSizeBestFit as logical
      get.
      set.

   def public property Flip as logical
      get.
      set.

   def public property Dx as integer
      get.
      set.

   def public property Dy as integer
      get.
      set.

   constructor public LabelStyle():
   end constructor.

   constructor public LabelStyle(input font as System.Drawing.Font, input color as System.Drawing.Color, input wrap as logical, input clip as logical, input bestFit as logical, input h as System.Drawing.StringAlignment, input v as System.Drawing.StringAlignment, input orient as Infragistics.UltraChart.Shared.Styles.TextOrientation):
   end constructor.

   method public final void Dispose():
   end method.

   method public final Infragistics.UltraChart.Shared.Styles.LabelStyle Copy():
   end method.

   method protected final logical ShouldSerializeFont():
   end method.

   method public final void ResetFont():
   end method.

   method protected final logical ShouldSerializeFontColor():
   end method.

   method public final void ResetFontColor():
   end method.

   method protected final logical ShouldSerializeWrapText():
   end method.

   method public final void ResetWrapText():
   end method.

   method protected final logical ShouldSerializeHorizontalAlign():
   end method.

   method public final void ResetHorizontalAlign():
   end method.

   method protected final logical ShouldSerializeVerticalAlign():
   end method.

   method public final void ResetVerticalAlign():
   end method.

   method protected logical ShouldSerializeTrimming():
   end method.

   method public void ResetTrimming():
   end method.

   method protected logical ShouldSerializeReverseText():
   end method.

   method public void ResetReverseText():
   end method.

   method protected final logical ShouldSerializeClipText():
   end method.

   method public final void ResetClipText():
   end method.

   method protected final logical ShouldSerializeOrientation():
   end method.

   method public final void ResetOrientation():
   end method.

   method protected final logical ShouldSerializeRotationAngle():
   end method.

   method public final void ResetRotationAngle():
   end method.

   method protected final logical ShouldSerializeFontSizeBestFit():
   end method.

   method public final void ResetFontSizeBestFit():
   end method.

   method public override character ToString():
   end method.

   method protected final logical ShouldSerializeFlip():
   end method.

   method public final void ResetFlip():
   end method.

   method protected final logical ShouldSerializeDx():
   end method.

   method public final void ResetDx():
   end method.

   method protected final logical ShouldSerializeDy():
   end method.

   method public final void ResetDy():
   end method.

   method public final override Infragistics.UltraChart.Shared.Styles.LabelStyle Clone():
   end method.

   method public final logical ShouldSerialize():
   end method.

   method public final void Reset():
   end method.

   method public final logical Match(input styleB as Infragistics.UltraChart.Shared.Styles.LabelStyle):
   end method.

   method public final void CopyTo(input destination as Infragistics.UltraChart.Shared.Styles.LabelStyle):
   end method.

end class.
