class System.Data.DataRelation
   inherits System.Object:

   def public property ChildColumns as System.Data.DataColumn extent
      get.

   def public property ChildTable as System.Data.DataTable
      get.

   def public property DataSet as System.Data.DataSet
      get.

   def public property ParentColumns as System.Data.DataColumn extent
      get.

   def public property ParentTable as System.Data.DataTable
      get.

   def public property RelationName as character
      get.
      set.

   def public property Nested as logical
      get.
      set.

   def public property ParentKeyConstraint as System.Data.UniqueConstraint
      get.

   def public property ChildKeyConstraint as System.Data.ForeignKeyConstraint
      get.

   def public property ExtendedProperties as System.Data.PropertyCollection
      get.

   constructor public DataRelation(input relationName as character, input parentColumn as System.Data.DataColumn, input childColumn as System.Data.DataColumn):
   end constructor.

   constructor public DataRelation(input relationName as character, input parentColumn as System.Data.DataColumn, input childColumn as System.Data.DataColumn, input createConstraints as logical):
   end constructor.

   constructor public DataRelation(input relationName as character, input parentColumns as System.Data.DataColumn extent, input childColumns as System.Data.DataColumn extent):
   end constructor.

   constructor public DataRelation(input relationName as character, input parentColumns as System.Data.DataColumn extent, input childColumns as System.Data.DataColumn extent, input createConstraints as logical):
   end constructor.

   constructor public DataRelation(input relationName as character, input parentTableName as character, input childTableName as character, input parentColumnNames as System.String extent, input childColumnNames as System.String extent, input nested as logical):
   end constructor.

   constructor public DataRelation(input relationName as character, input parentTableName as character, input parentTableNamespace as character, input childTableName as character, input childTableNamespace as character, input parentColumnNames as System.String extent, input childColumnNames as System.String extent, input nested as logical):
   end constructor.

   method protected final void CheckStateForProperty():
   end method.

   method protected final void OnPropertyChanging(input pcevent as System.ComponentModel.PropertyChangedEventArgs):
   end method.

   method protected final void RaisePropertyChanging(input name as character):
   end method.

   method public override character ToString():
   end method.

end class.
