interface System.Windows.Forms.Layout.IArrangedElement
   inherits System.ComponentModel.IComponent, System.IDisposable:

   def public property Bounds as System.Drawing.Rectangle
      get.

   def public property DisplayRectangle as System.Drawing.Rectangle
      get.

   def public property ParticipatesInLayout as logical
      get.

   def public property Properties as System.Windows.Forms.PropertyStore
      get.

   def public property Container as System.Windows.Forms.Layout.IArrangedElement
      get.

   def public property Children as System.Windows.Forms.Layout.ArrangedElementCollection
      get.

   def public property Site as System.ComponentModel.ISite
      get.
      set.

   def public event Disposed signature void (input sender as System.Object, input e as System.EventArgs).

   method public void SetBounds(input bounds as System.Drawing.Rectangle, input specified as System.Windows.Forms.BoundsSpecified).

   method public System.Drawing.Size GetPreferredSize(input proposedSize as System.Drawing.Size).

   method public void PerformLayout(input affectedElement as System.Windows.Forms.Layout.IArrangedElement, input propertyName as character).

   method public final void Dispose().

end interface.
