class System.Xml.XmlAttribute
   inherits System.Xml.XmlNode
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable:

   def public override property ParentNode as System.Xml.XmlNode
      get.

   def public override property Name as character
      get.

   def public override property LocalName as character
      get.

   def public override property NamespaceURI as character
      get.

   def public override property Prefix as character
      get.
      set.

   def public override property NodeType as System.Xml.XmlNodeType
      get.

   def public override property OwnerDocument as System.Xml.XmlDocument
      get.

   def public override property Value as character
      get.
      set.

   def public override property SchemaInfo as System.Xml.Schema.IXmlSchemaInfo
      get.

   def public override property InnerText as character
      set.

   def public property Specified as logical
      get.

   def public property OwnerElement as System.Xml.XmlElement
      get.

   def public override property InnerXml as character
      set.

   def public override property BaseURI as character
      get.

   constructor protected XmlAttribute(input prefix as character, input localName as character, input namespaceURI as character, input doc as System.Xml.XmlDocument):
   end constructor.

   method public override System.Xml.XmlNode CloneNode(input deep as logical):
   end method.

   method public override System.Xml.XmlNode InsertBefore(input newChild as System.Xml.XmlNode, input refChild as System.Xml.XmlNode):
   end method.

   method public override System.Xml.XmlNode InsertAfter(input newChild as System.Xml.XmlNode, input refChild as System.Xml.XmlNode):
   end method.

   method public override System.Xml.XmlNode ReplaceChild(input newChild as System.Xml.XmlNode, input oldChild as System.Xml.XmlNode):
   end method.

   method public override System.Xml.XmlNode RemoveChild(input oldChild as System.Xml.XmlNode):
   end method.

   method public override System.Xml.XmlNode PrependChild(input newChild as System.Xml.XmlNode):
   end method.

   method public override System.Xml.XmlNode AppendChild(input newChild as System.Xml.XmlNode):
   end method.

   method public override void WriteTo(input w as System.Xml.XmlWriter):
   end method.

   method public override void WriteContentTo(input w as System.Xml.XmlWriter):
   end method.

end class.
