class System.Xml.XmlDocumentType
   inherits System.Xml.XmlLinkedNode
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable:

   def public override property Name as character
      get.

   def public property LocalName as character
      get.

   def public override property NodeType as System.Xml.XmlNodeType
      get.

   def public property IsReadOnly as logical
      get.

   def public property Entities as System.Xml.XmlNamedNodeMap
      get.

   def public property Notations as System.Xml.XmlNamedNodeMap
      get.

   def public property PublicId as character
      get.

   def public property SystemId as character
      get.

   def public property InternalSubset as character
      get.

   constructor protected XmlDocumentType(input name as character, input publicId as character, input systemId as character, input internalSubset as character, input doc as System.Xml.XmlDocument):
   end constructor.

   method public override System.Xml.XmlNode CloneNode(input deep as logical):
   end method.

   method public override void WriteTo(input w as System.Xml.XmlWriter):
   end method.

   method public override void WriteContentTo(input w as System.Xml.XmlWriter):
   end method.

end class.
