class System.Xml.XmlReader
   inherits System.Object
   implements System.IDisposable
   abstract:

   def public property Settings as System.Xml.XmlReaderSettings
      get.

   def public abstract property NodeType as System.Xml.XmlNodeType
      get.

   def public property Name as character
      get.

   def public abstract property LocalName as character
      get.

   def public abstract property NamespaceURI as character
      get.

   def public abstract property Prefix as character
      get.

   def public property HasValue as logical
      get.

   def public abstract property Value as character
      get.

   def public abstract property Depth as integer
      get.

   def public abstract property BaseURI as character
      get.

   def public abstract property IsEmptyElement as logical
      get.

   def public property IsDefault as logical
      get.

   def public property QuoteChar as character
      get.

   def public property XmlSpace as System.Xml.XmlSpace
      get.

   def public property XmlLang as character
      get.

   def public property SchemaInfo as System.Xml.Schema.IXmlSchemaInfo
      get.

   def public property ValueType as System.Type
      get.

   def public abstract property AttributeCount as integer
      get.

   def public property Item as character
      get.

   def public property Item as character
      get.

   def public property Item as character
      get.

   def public abstract property EOF as logical
      get.

   def public abstract property ReadState as System.Xml.ReadState
      get.

   def public abstract property NameTable as System.Xml.XmlNameTable
      get.

   def public property CanResolveEntity as logical
      get.

   def public property CanReadBinaryContent as logical
      get.

   def public property CanReadValueChunk as logical
      get.

   def public property HasAttributes as logical
      get.

   constructor protected XmlReader():
   end constructor.

   method public System.Object ReadContentAsObject():
   end method.

   method public logical ReadContentAsBoolean():
   end method.

   method public datetime ReadContentAsDateTime():
   end method.

   method public System.DateTimeOffset ReadContentAsDateTimeOffset():
   end method.

   method public decimal ReadContentAsDouble():
   end method.

   method public decimal ReadContentAsFloat():
   end method.

   method public decimal ReadContentAsDecimal():
   end method.

   method public integer ReadContentAsInt():
   end method.

   method public int64 ReadContentAsLong():
   end method.

   method public character ReadContentAsString():
   end method.

   method public System.Object ReadContentAs(input returnType as System.Type, input namespaceResolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Object ReadElementContentAsObject():
   end method.

   method public System.Object ReadElementContentAsObject(input localName as character, input namespaceURI as character):
   end method.

   method public logical ReadElementContentAsBoolean():
   end method.

   method public logical ReadElementContentAsBoolean(input localName as character, input namespaceURI as character):
   end method.

   method public datetime ReadElementContentAsDateTime():
   end method.

   method public datetime ReadElementContentAsDateTime(input localName as character, input namespaceURI as character):
   end method.

   method public decimal ReadElementContentAsDouble():
   end method.

   method public decimal ReadElementContentAsDouble(input localName as character, input namespaceURI as character):
   end method.

   method public decimal ReadElementContentAsFloat():
   end method.

   method public decimal ReadElementContentAsFloat(input localName as character, input namespaceURI as character):
   end method.

   method public decimal ReadElementContentAsDecimal():
   end method.

   method public decimal ReadElementContentAsDecimal(input localName as character, input namespaceURI as character):
   end method.

   method public integer ReadElementContentAsInt():
   end method.

   method public integer ReadElementContentAsInt(input localName as character, input namespaceURI as character):
   end method.

   method public int64 ReadElementContentAsLong():
   end method.

   method public int64 ReadElementContentAsLong(input localName as character, input namespaceURI as character):
   end method.

   method public character ReadElementContentAsString():
   end method.

   method public character ReadElementContentAsString(input localName as character, input namespaceURI as character):
   end method.

   method public System.Object ReadElementContentAs(input returnType as System.Type, input namespaceResolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Object ReadElementContentAs(input returnType as System.Type, input namespaceResolver as System.Xml.IXmlNamespaceResolver, input localName as character, input namespaceURI as character):
   end method.

   method public abstract character GetAttribute(input name as character).

   method public abstract character GetAttribute(input name as character, input namespaceURI as character).

   method public abstract character GetAttribute(input i as integer).

   method public abstract logical MoveToAttribute(input name as character).

   method public abstract logical MoveToAttribute(input name as character, input ns as character).

   method public void MoveToAttribute(input i as integer):
   end method.

   method public abstract logical MoveToFirstAttribute().

   method public abstract logical MoveToNextAttribute().

   method public abstract logical MoveToElement().

   method public abstract logical ReadAttributeValue().

   method public abstract logical Read().

   method public void Close():
   end method.

   method public void Skip():
   end method.

   method public abstract character LookupNamespace(input prefix as character).

   method public abstract void ResolveEntity().

   method public integer ReadContentAsBase64(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public integer ReadElementContentAsBase64(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public integer ReadContentAsBinHex(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public integer ReadElementContentAsBinHex(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public integer ReadValueChunk(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public character ReadString():
   end method.

   method public System.Xml.XmlNodeType MoveToContent():
   end method.

   method public void ReadStartElement():
   end method.

   method public void ReadStartElement(input name as character):
   end method.

   method public void ReadStartElement(input localname as character, input ns as character):
   end method.

   method public character ReadElementString():
   end method.

   method public character ReadElementString(input name as character):
   end method.

   method public character ReadElementString(input localname as character, input ns as character):
   end method.

   method public void ReadEndElement():
   end method.

   method public logical IsStartElement():
   end method.

   method public logical IsStartElement(input name as character):
   end method.

   method public logical IsStartElement(input localname as character, input ns as character):
   end method.

   method public logical ReadToFollowing(input name as character):
   end method.

   method public logical ReadToFollowing(input localName as character, input namespaceURI as character):
   end method.

   method public logical ReadToDescendant(input name as character):
   end method.

   method public logical ReadToDescendant(input localName as character, input namespaceURI as character):
   end method.

   method public logical ReadToNextSibling(input name as character):
   end method.

   method public logical ReadToNextSibling(input localName as character, input namespaceURI as character):
   end method.

   method public final static logical IsName(input str as character):
   end method.

   method public final static logical IsNameToken(input str as character):
   end method.

   method public character ReadInnerXml():
   end method.

   method public character ReadOuterXml():
   end method.

   method public System.Xml.XmlReader ReadSubtree():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public final static System.Xml.XmlReader Create(input inputUri as character):
   end method.

   method public final static System.Xml.XmlReader Create(input inputUri as character, input settings as System.Xml.XmlReaderSettings):
   end method.

   method public final static System.Xml.XmlReader Create(input inputUri as character, input settings as System.Xml.XmlReaderSettings, input inputContext as System.Xml.XmlParserContext):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.Stream):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.Stream, input settings as System.Xml.XmlReaderSettings):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.Stream, input settings as System.Xml.XmlReaderSettings, input baseUri as character):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.Stream, input settings as System.Xml.XmlReaderSettings, input inputContext as System.Xml.XmlParserContext):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.TextReader):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.TextReader, input settings as System.Xml.XmlReaderSettings):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.TextReader, input settings as System.Xml.XmlReaderSettings, input baseUri as character):
   end method.

   method public final static System.Xml.XmlReader Create(input input as System.IO.TextReader, input settings as System.Xml.XmlReaderSettings, input inputContext as System.Xml.XmlParserContext):
   end method.

   method public final static System.Xml.XmlReader Create(input reader as System.Xml.XmlReader, input settings as System.Xml.XmlReaderSettings):
   end method.

   method public System.Threading.Tasks.Task GetValueAsync():
   end method.

   method public System.Threading.Tasks.Task ReadContentAsObjectAsync():
   end method.

   method public System.Threading.Tasks.Task ReadContentAsStringAsync():
   end method.

   method public System.Threading.Tasks.Task ReadContentAsAsync(input returnType as System.Type, input namespaceResolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Threading.Tasks.Task ReadElementContentAsObjectAsync():
   end method.

   method public System.Threading.Tasks.Task ReadElementContentAsStringAsync():
   end method.

   method public System.Threading.Tasks.Task ReadElementContentAsAsync(input returnType as System.Type, input namespaceResolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public System.Threading.Tasks.Task ReadAsync():
   end method.

   method public System.Threading.Tasks.Task SkipAsync():
   end method.

   method public System.Threading.Tasks.Task ReadContentAsBase64Async(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task ReadElementContentAsBase64Async(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task ReadContentAsBinHexAsync(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task ReadElementContentAsBinHexAsync(input buffer as System.Byte extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task ReadValueChunkAsync(input buffer as System.Char extent, input index as integer, input count as integer):
   end method.

   method public System.Threading.Tasks.Task MoveToContentAsync():
   end method.

   method public System.Threading.Tasks.Task ReadInnerXmlAsync():
   end method.

   method public System.Threading.Tasks.Task ReadOuterXmlAsync():
   end method.

end class.
